## org.eclipse.amp.amf.acore.edit.commands.test
Class AgentComplexActsTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.metaabm.tests.BasePersistTest
                  org.eclipse.amp.amf.acore.edit.commands.test.CommandTest
                      org.eclipse.amp.amf.acore.edit.commands.test.AgentComplexActsTest

All Implemented Interfaces:
  junit.framework.Test

    public class AgentComplexActsTest

extends CommandTest

Field Summary

Fields inherited from class org.eclipse.amp.amf.acore.edit.commands.test.CommandTest
`execOnly, funcAdd, funcEq, funcLog, funcNot, funcNum, lib, library, trace`

Fields inherited from class org.metaabm.tests.BasePersistTest
`doPersist, f, fa, path, persistContext, persistName, redoPersist, referenceCommand, referenceContext, referencePersist, testCommand, testContext, testPersist, undoPersist`

Constructor Summary
`AgentComplexActsTest(java.lang.String name)`

Method Summary
`static void` `buildAddActs(java.util.List<CommandTransformer> cmds)`
`protected static java.lang.String` `getAgentRuleID()`
`void` `testAddActs()`

Methods inherited from class org.eclipse.amp.amf.acore.edit.commands.test.CommandTest
`assertEqualNull, execTransform, executeTests, getAdapterFactory, getDomain, isUndo, setAdapterFactory, setDomain, setUp, tearDown`

Methods inherited from class org.metaabm.tests.BasePersistTest
`checkPersist, execTransform, redoTransform, undoTransform`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AgentComplexActsTest

    public AgentComplexActsTest(java.lang.String name)

Method Detail

### getAgentRuleID

    protected static java.lang.String getAgentRuleID()

### buildAddActs

    public static void buildAddActs(java.util.List<CommandTransformer> cmds)

### testAddActs

    public void testAddActs()